Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 786 - Binary rpm's can not handle dump backups
Summary: Binary rpm's can not handle dump backups
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: amanda
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-12 01:12 UTC by gmagyarf
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-01-17 21:01:07 UTC


Attachments (Terms of Use)

Description gmagyarf 1999-01-12 01:12:59 UTC
Symptom: Amanda-client was not able to back up using dump,
when installed from the binary. Rebuilding from SRPM made it
work.

Cause: Amanda binaries have the paths to dump and restore
hardwired into them (why???). These are determined during
configure. This is an old bug/feature of amanda (see
docs/FAQ). I suppose the RH build host did not have the
dump package installed. Amanda builds merrily w/o dump
support - gnutar is still fine.

Quick fix: Build rpms on host with the dump package
installed.

Comment 1 Jeff Johnson 1999-01-17 21:01:59 UTC
Fixed in powertools-5.2.1 amanda-2.4.1-2. Thanks.


Note You need to log in before you can comment on or make changes to this bug.